<?php
$responseMessage = [];
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    try {
        if (isset($_FILES['file'])) {
            $uploadDirectory = __DIR__ . '/uploads/';

            $uploadedFiles = [];
            $filesCount = count($_FILES['file']['name']);
            for ($i = 0; $i < $filesCount; $i++) {
                if (!empty($_FILES['file']['name'][$i])) {
                    $fileName = $_FILES['file']['name'][$i];
                    $fileExtension = strtolower(pathinfo($fileName, PATHINFO_EXTENSION));
                    $allowedExtensions = ['jpg', 'jpeg', 'png', 'gif'];

                    if (in_array($fileExtension, $allowedExtensions)) {
                        $newFilename = uniqid() . '.' . $fileExtension;
                        $uploadPath = $uploadDirectory . $newFilename;

                        if (move_uploaded_file($_FILES['file']['tmp_name'][$i], $uploadPath)) {
                            $uploadedFiles[] = $newFilename;
                        } else {
                            $responseMessage = ['error' => 'Upload failed.'];
                            exit;
                        }
                    } else {
                        $responseMessage = ['error' => 'Invalid file extension.'];
                        exit;
                    }
                }
            }
        } else {
            $responseMessage = ['error' => 'No files found to upload.'];
        }
    } catch (Exception $e) {
        $responseMessage = ['error' => $e->getMessage()];
    }
} else {
    $responseMessage = ['error' => 'Invalid request.'];
}
echo json_encode($responseMessage);
exit;
